org.apache.ignite.internal.cache.query.index.sorted

## Class DurableBackgroundCleanupIndexTreeTask

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.DurableBackgroundCleanupIndexTreeTask

All Implemented Interfaces:
  Serializable, DurableBackgroundTask

    public class DurableBackgroundCleanupIndexTreeTask
    extends Object
    implements DurableBackgroundTask

Tasks that cleans up index tree.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DurableBackgroundCleanupIndexTreeTask(List<Long> rootPages, List<InlineIndexTree> trees, String cacheGrpName, String cacheName, IndexName idxName, String treeName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` Canceling the task.
`IgniteInternalFuture<DurableBackgroundTaskResult>` `executeAsync(GridKernalContext ctx)` Asynchronous task execution.
`String` `name()` Getting the name of the task to identify it.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DurableBackgroundCleanupIndexTreeTask

    public DurableBackgroundCleanupIndexTreeTask(List<Long> rootPages,
                                                 List<InlineIndexTree> trees,
                                                 String cacheGrpName,
                                                 String cacheName,
                                                 IndexName idxName,
                                                 String treeName)

### Method Detail

#### name

    public String name()

Getting the name of the task to identify it. Also used as part of a key for storage in a MetaStorage.

Specified by:
  `name` in interface `DurableBackgroundTask`
Returns:
  Task name.

#### executeAsync

    public IgniteInternalFuture<DurableBackgroundTaskResult> executeAsync(GridKernalContext ctx)

Asynchronous task execution. Completion of the task execution should be only with the `result`.

Specified by:
  `executeAsync` in interface `DurableBackgroundTask`
Parameters:
  `ctx` - Kernal context.
Returns:
  Future of the tasks.

#### cancel

    public void cancel()

Canceling the task.

Specified by:
  `cancel` in interface `DurableBackgroundTask`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021